#!/bin/bash

if [ ! -d $SDCARD_GSDL3HOME ] ; then
  # First time install has been run => do a full copy
  mode="Installing"

else
  # Only need to regenerate 'lib' folder
  mode="Updating"
fi

echo "#---"
echo "# $mode $GSDL3HOME -> $SDCARD_GSDL3HOME"
if [ $mode = "Installing" ] ; then
  echo "# (this may take several minutes)"
  echo "#---"
  echo ""
  (cd $GSDL3HOME && find . -type d ) \
    | egrep -v '/\.svn' \
    | egrep -v 'sites/' \
    | egrep -v 'WEB-INF/classes' \
    | egrep -v 'WEB-INF/lib' \
    | xargs -I {} mkdir -p $SDCARD_GSDL3HOME/{}
else 
  echo "#---"
  echo ""
fi


(cd $GSDL3HOME && find . -type f ) \
  | egrep -v '/\.svn' \
  | egrep -v 'sites/' \
  | egrep -v 'WEB-INF/classes' \
  | egrep -v 'WEB-INF/lib' \
  | xargs -I {} /bin/cp -u -v $GSDL3HOME/{} $SDCARD_GSDL3HOME/{}


#    | echo /bin/cp -u -v  {} $SDCARD_GSDL3HOME


##  /bin/cp -v -r $GSDL3HOME $SDCARD_GSDL3HOME 

#  dirs_without_sites=`ls -dF $GSDL3HOME/* | egrep '/$' | egrep -v '/sites/$'`
#  files_without_sites=`ls -dF $GSDL3HOME/* | egrep -v '/$'`

#  dirs_without_sites=`find $GSDL3HOME -type -d -print | egrep -v '^sites$' | egrep -v '^\.svn$'`
#  for f in $dirs_without_sites ; do
#    find WEB-INF/classes
#    /bin/cp -u -v -r $GSDL3HOME/$f $SDCARD_GSDL3HOME 
#  done

  if [ ! -d $SDCARD_GSDL3HOME/sites/localsite ] ; then
    echo "Creating 'localsite' in $SDCARD_GSDLHOME"
    mkdir $SDCARD_GSDL3HOME/sites/localsite
  fi

  /bin/cp -u -v -r $GSDL3HOME/sites/no-jni/* $SDCARD_GSDL3HOME/sites/localsite/.


#  # No need for .svn files
#  find $SDCARD_GSDL3HOME -type d -name ".svn" -exec /bin/rm {} \;

#  /bin/rm -rf $SDCARD_GSDL3HOME/WEB-INF/classes

